---
title: Sensor.onactivate
slug: Web/API/Sensor/onactivate
tags:
  - API
  - EventHandler
  - Generic Sensor API
  - Property
  - Reference
  - Sensor
  - Sensor APIs
  - Sensors
  - activate
  - onactivate
---
<div>{{APIRef("Generic Sensor API")}}</div>

<p><span class="seoSummary">The <strong><code>onactivate</code></strong> {{domxref("EventHandler")}} is called when one of the Sensor interface's child interfaces becomes active.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>sensorInstance</em>.onactivate = <var>function</var>
<em>sensorInstance</em>.addEventListener('activate', function() { ... })</pre>

<p>Because {{domxref('Sensor')}} is a base class, <code>onactivate</code> may only be used on one of its derived classes.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Generic Sensor','#dom-sensor-onactivate','onactivate')}}</td>
   <td>{{Spec2('Generic Sensor')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Sensor.onactivate")}}</p>
